org.apache.xmlbeans

## Interface XmlInt

- All Superinterfaces:
    XmlAnySimpleType, XmlDecimal, XmlInteger, XmlLong, XmlObject, XmlTokenSource
  All Known Subinterfaces:
    XmlByte, XmlShort
  All Known Implementing Classes:
    XmlByteImpl, XmlIntImpl, XmlIntRestriction, XmlShortImpl

      public interface XmlInt
      extends XmlLong

  Corresponds to the XML Schema xs:int type. One of the derived types based on xs:decimal.

  Naturally, convertible to a Java int.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static XmlObjectFactory<XmlInt>` | `Factory`
    `static SchemaType` | `type` The constant `SchemaType` object representing this schema type.

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getIntValue()` Returns this value as an int
    `void` | `setIntValue(int v)` Sets this value as an int

    - ### Methods inherited from interface org.apache.xmlbeans.XmlLong

      `getLongValue, setLongValue`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlInteger

      `getBigIntegerValue, setBigIntegerValue`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlDecimal

      `getBigDecimalValue, setBigDecimalValue`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlAnySimpleType

      `getStringValue, setStringValue`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### Factory

          static final XmlObjectFactory<XmlInt> Factory

    - #### type

          static final SchemaType type

      The constant `SchemaType` object representing this schema type.

  - ### Method Detail

    - #### getIntValue

          int getIntValue()

      Returns this value as an int

    - #### setIntValue

          void setIntValue(int v)

      Sets this value as an int